FROM debian:bookworm

COPY entrypoint.sh /entrypoint.sh
RUN chmod +x /entrypoint.sh

RUN mkdir -pv /src /build

ENV DEBIAN_FRONTEND noninteractive
RUN apt update
RUN apt install --no-install-recommends -y \
	ca-certificates \
	sudo \
	git \
	make \
	qemu-system \
	gcc-riscv64-unknown-elf


RUN rm -rf /var/lib/apt/lists/*




RUN git clone "https://gitlab.com/jalcim/riscv-asm" /src/riscv-asm
WORKDIR /src/riscv-asm
RUN make
#RUN make desassembleur
#RUN qemu-system-riscv32 -machine sifive_u -nographic -kernel hello
#RUN make clean

#USER root
#WORKDIR /

# Set user/resu
RUN useradd -ms /bin/bash --password 6HDJXfMtH6sCY user
RUN adduser user sudo
RUN echo '%sudo ALL=(ALL) NOPASSWD:ALL' >> /etc/sudoers

USER user
WORKDIR /home/user/

ENTRYPOINT ["/entrypoint.sh"]
